org.bouncycastle.asn1.ocsp

## Class ResponderID

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.ocsp.ResponderID

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class ResponderID
    extends ASN1Encodable
    implements ASN1Choice

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`ResponderID(ASN1OctetString value)`
`ResponderID(X509Name value)`

### Method Summary

Methods
`static ResponderID` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static ResponderID` `getInstance(java.lang.Object obj)`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResponderID

    public ResponderID(ASN1OctetString value)

#### ResponderID

    public ResponderID(X509Name value)

### Method Detail

#### getInstance

    public static ResponderID getInstance(java.lang.Object obj)

#### getInstance

    public static ResponderID getInstance(ASN1TaggedObject obj,
                          boolean explicit)

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     ResponderID ::= CHOICE {
          byName          [1] Name,
          byKey           [2] KeyHash }

Specified by:
  `toASN1Object` in class `ASN1Encodable`